dblook (Apache Derby 10.3 API Documentation)
Keywords: org.apache.derby.tools.dblook class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.derby.tools
Class dblook

    java.lang.Object
      org.apache.derby.tools.dblook

public final class dblook
extends java.lang.Object

Constructor Summary
`dblook(java.lang.String[] args)`

Method Summary
`static java.lang.String` | `addQuotes(java.lang.String name)`
`static java.lang.String` | `addSingleQuotes(java.lang.String name)`
`static java.lang.String` | `expandDoubleQuotes(java.lang.String name)`
`static java.lang.String` | `getColNameFromNumber(java.lang.String tableId, int colNum)`
`static java.lang.String` | `getColumnListFromDescription(java.lang.String tableId, java.lang.String description)`
`static boolean` | `isExcludedTable(java.lang.String tableName)`
`static boolean` | `isIgnorableSchema(java.lang.String schemaName)`
`static java.lang.String` | `lookupMessage(java.lang.String key)`
`static java.lang.String` | `lookupMessage(java.lang.String key, java.lang.String[] vals)`
`static java.lang.String` | `lookupSchemaId(java.lang.String schemaId)`
`static java.lang.String` | `lookupTableId(java.lang.String tableId)`
`static void` | `main(java.lang.String[] args)`
`static java.lang.String` | `removeNewlines(java.lang.String str)`
`static boolean` | `stringContainsTargetTable(java.lang.String str)`
`static java.lang.String` | `stripQuotes(java.lang.String quotedName)`
`static void` | `writeVerboseOutput(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### dblook

    public dblook(java.lang.String[] args)
           throws java.lang.Exception

Method Detail

### main

    public static void main(java.lang.String[] args)

### getColumnListFromDescription

    public static java.lang.String getColumnListFromDescription(java.lang.String tableId,
                                                                java.lang.String description)
                                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getColNameFromNumber

    public static java.lang.String getColNameFromNumber(java.lang.String tableId,
                                                        int colNum)
                                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### addQuotes

    public static java.lang.String addQuotes(java.lang.String name)

### addSingleQuotes

    public static java.lang.String addSingleQuotes(java.lang.String name)

### stripQuotes

    public static java.lang.String stripQuotes(java.lang.String quotedName)

### isExcludedTable

    public static boolean isExcludedTable(java.lang.String tableName)

### isIgnorableSchema

    public static boolean isIgnorableSchema(java.lang.String schemaName)

### stringContainsTargetTable

    public static boolean stringContainsTargetTable(java.lang.String str)

### expandDoubleQuotes

    public static java.lang.String expandDoubleQuotes(java.lang.String name)

### lookupSchemaId

    public static java.lang.String lookupSchemaId(java.lang.String schemaId)

### lookupTableId

    public static java.lang.String lookupTableId(java.lang.String tableId)

### writeVerboseOutput

    public static void writeVerboseOutput(java.lang.String key,
                                          java.lang.String value)

### lookupMessage

    public static java.lang.String lookupMessage(java.lang.String key)

### lookupMessage

    public static java.lang.String lookupMessage(java.lang.String key,
                                                 java.lang.String[] vals)

### removeNewlines

    public static java.lang.String removeNewlines(java.lang.String str)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Built on Wed 2007-08-01 06:53:39-0700, from revision 561794
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache Derby 10.3 API Documentation - Copyright © 2004,2007 The Apache Software Foundation. All Rights Reserved.